* {
    margin: 0;
    padding: 0;
    /* font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif; */
    font-family: "Circular Std", Helvetica, Arial, sans-serif;
    font-size: 13px;
}

.container {
    height: 100vh;
}

.left {
    /* position: relative; */
    width: 30vw;
    /* background-color: black; */
    z-index: 0;
}

.right {
    width: 70vw;
}

.logo {
    height: 35px;
}

#cross img {
    display: none;
}


li {
    display: flex;
    align-items: center;
}


ul li {
    width: 30px;
    display: flex;
    gap: 23px;
    font-size: 22px;
    font-weight: 900;
    padding: 5px;
}


.library {
    min-height: 76vh;
    position: relative;
}

/* .heading .nav {} */


.heading .Hambargar img {
    display: none;
}



.songlist {
    background-color: rgb(34, 135, 243);
    height: 300px;
    overflow-y: scroll;
    margin-bottom: 100px;
}


.songlist ul {
    width: 98%;
    color: white;
    /* background-color: #1fdf64; */
    display: flex;
    height: auto;
    flex-direction: column;
}

.songlist ul li {
    font-size: 16px;
    font-weight: 700;
    width: 95%;
    padding: 10px 0;
    max-height: 59px;
    /* background-color: red; */
    border: 2px solid white;
    margin: 10px;
    justify-content: space-evenly;
}

.info {
    /* border: 2px solid black; */
    width: 60%;
    height: auto;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    overflow-x: hidden;
}


.info p {
    line-height: 28px;
    /* background-color: antiquewhite; */
}

.playnow p {
    /* background-color: #1fdf64; */
    width: 75px;
}




.library-nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 20px;
    font-weight: bold;
    margin: 0px 0px 20px 0px
}

.library-svg {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    font-size: 20px;
    font-weight: 900;
}

.library span {
    padding: 0px 5px 0 15px;
    font-size: 39px;
    cursor: pointer;
    font-weight: normal;
}

.songlist{
    height: 350px;
}

.songlist li {
    overflow: hidden;
}

.songlist li .songname{
    font-size: 14px;
}


.footer {
    position: absolute;
    bottom: 0px;
}



.footer-lang {
    display: flex;
    align-items: center;
    margin: 5px 30px 10px 30px;
}


.footer-lang svg {
    width: 30px;
}

.footer-items {
    display: flex;
    gap: 10px 50px;
    align-items: center;
    flex-wrap: wrap;
    margin-top: 20px;
    padding: 8px 0px;
}



.footer-lang button {
    border: 1px solid black;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    font-weight: bold;
    gap: 20px;
    padding: 8px 20px 0 0;
    border-radius: 33px;
    cursor: pointer;
}

.footer-lang button:hover {
    transform: scale(103%);
    box-shadow: 2px 2px 3px rgb(151, 148, 148);
}

.right .heading {
    margin: 5px;
    display: flex;
    justify-content: space-between;
    background-color: rgba(65, 65, 65, 0.354);
    padding: 8px 0;
    border-radius: 5px;
}

.right .buttons {
    display: flex;
    gap: 20px;
}

.right .buttons button {
    font-size: 18px;
    cursor: pointer;
    font-weight: bold;
}

.right .buttons #btn1 {
    border: none;
    padding: 1px 8px;
    border-radius: 6px;
    background-color: rgba(56, 55, 55, 0);
}

.right .buttons #btn2 {
    padding: 5px 20px;
    background-color: black;
    color: white;
    border-radius: 20px;
    margin: 0 2vw 0 1vw;

}

.spotifyplaylist {
    height: 78vh;
    background-color: #171717;
    overflow-y: scroll;
}

.spotifyplaylist h2 {
    font-weight: 900;
    padding: 1vw 0 2vw 1vw;
    font-size: 30px;
}

.card-container {
    flex-wrap: wrap;
    /* background-color: red; */
    max-height: 487px;
    justify-content: center;
    align-items: center;

}

/* Scrollbar width */
::-webkit-scrollbar {
    width: 14px;
}

/* Scrollbar track (background) */
::-webkit-scrollbar-track {
    background: #242323;
}

/* Scrollbar handle */
::-webkit-scrollbar-thumb {
    background: #3b3b3b;
    border-radius: 10px;
}



.card {
    /* border: 2px solid orange; */
    width: 198px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 3vh 1.3vh 0vh;
    border-radius: 9px;
    gap: 1vh;
    margin: 1vh;
}

.card:hover {
    background-color: #100f0f;



    .hidden-div {
        background-color: green;
        border-radius: 50%;
        padding: 7px 7px 3px 0px;
        position: relative;
        opacity: 1;
        top: -138px;
        right: -52px;
        transition: all 1s ease-in-out;
    }

}

.card img {
    width: 196px;
    border-radius: 9px;
}

.hidden-div {
    background-color: #1fdf64;
    border-radius: 50%;
    padding: 7px 7px 3px 0px;
    opacity: 0;
    top: -48px;
    right: -52px;
}


.playback{
    margin-top: -52px;
    z-index: 4;
}


.musicplayer {
    background-color: rgb(24, 170, 232);
    margin: .4vh 0;
    padding: 3vh;
    display: flex;
    justify-content: space-evenly;
    /*z-index: 1;*/
}

.songinfo {
    color: white;
    width: 42%;
    font-size: 17px;
}

.songbtn {
    color: white;
    width: 35%;
    /* background-color: orange; */
}

.songduration {
    color: white;
    width: 25%;
    font-size: 17px;
    /* background-color: green; */

}



.songinfo {
    overflow: hidden;
}




.seekbar {
    position: relative;
    /*z-index : 1;*/
}

.seekbar .seek {
    width: 99%;
    background-color: rgb(224, 216, 216);
    position: relative;
    top: 40px;
    height: 8px;
    margin: auto;
}

.seekbar .circle {
    background-color: red;
    height: 18px;
    width: 18px;
    position: relative;
    top: 27px;
    left: 0px;
    border-radius: 50%;
    /* transition: all 1s ease; */
}

.AudioBar > :nth-child(2) {
    cursor: pointer;
}

.AudioBar :first-child {
    display: none;
    cursor: pointer;
}



@media only screen and (max-width: 500px) {
    .left {
        position: absolute;
        left: -100%;
        width: 100vw;
        z-index: 1;
        background-color: black;
        max-height: 100vh;
        transition: all 1s ease;
    }
    
    


    .library {
        height: 78vh;
    }

    .left #cross img {
        display: block;
    }

    .left .home ul li {
        font-size: 16px;
        font-weight: 700;
    }

    .left .home ul li img {
        width: 20px;
    }


    .left .m1 {
        margin: 0px;
    }

    .songlist {
        margin: 0px;
    }

    .left .footer {
        position: absolute;
        bottom: 100px;
    }

    .footer-lang {
        display: none;

    }

    
    
    .footer-items,a{
    position: relative;
    top: 55px;
    }


    .right {
        width: 90vw;
        height: 95vh;
    }

    .right .card-container {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 67vh;
    }

    .spotifyplaylist{
        height: 67vh;
    }

    .heading .Hambargar img {
        display: block;
    }

    .right .buttons #btn1 {
        padding: 1px 2px;
        background-color: rgba(56, 55, 55, 0);
        font-size: 12px;
        font-weight: 100;

    }

    .right .buttons #btn2 {
        padding: px 2px;
        background-color: black;
        color: white;
        margin: 0 2vw 0 1vw;
        font-size: 12px;
        font-weight: 100;
    }


    .playback {
        margin-top:-30px;
        width: 90vw;
    }

    .musicplayer {
        padding: 25px 10px;
        background-color: rgb(12, 84, 172);
        padding: 20px;
        width: 90%;
        
    }

    .musicplayer {
        display: block;
        text-align: center;
    }

    .musicplayer .songinfo, .songbtn, .songduration, .AudioBar{
        width: 100%;
        padding-top: 3px;
    }



    .seekbar {
        width: 100%;
    }



    .right .svgs {
        width: 20px;
        margin: 0 0 0 5px;
    }

}



@media only screen and (min-width: 500px) and (max-width:740px) {

    .left {
        position: absolute;
        left: -100%;
        width: 100vw;
        z-index: 1;
        background-color: black;
        max-height: 100vh;
        transition: all 1s ease;
    }

    .left #cross img {
        display: block;
        position: absolute;
        right: 50px;
    }

    .library .songlist {
        height: 42vh;
    }

    .library-svg {
        font-size: 20px;
    }

    .heading .Hambargar img {
        display: block;
    }

    .right {
        width: 100vw;
        max-height: 85vh;
    }

    .right .m1 {
        margin: 0px;
    }

    .right .spotifyplaylist {
        height: 75vh;
    }

    .spotifyplaylist h2 {
        font-size: 24px;
    }

    .songlist {
        margin: 0px;
    }

    .footer-items,
    a {
        font-size: 18px;
    }


}


@media only screen and (min-width:741px) and (max-width:1100px) {

    .left {
        width: 40vw;
        height: 100vh;
        max-height: 100vh;
    }


    .library-svg {
        font-size: 24px;
    }
    
    .left .library{
        height:87vh;
    }
    

    .spotifyplaylist {
        height: 81vh;
    }

    .spotifyplaylist h2 {
        font-size: 32px;
    }

    .spotifyplaylist h3{
        font-size: 20px;
    }

    .spotifyplaylist p{
        font-size: 19px;
        font-weight: 700;
    }

    .songlist {
        height: 60vh;
        margin: 0vh;
    }

    .songlist li {
        padding: 18px 0;

    }

    .songlist li .svgs {
        margin: 0px;
    }

    .songlist li .playnow {
        display: block;
    }


    .footer {
        bottom: 2vh;
    }

    .footer-items,
    a {
        font-size: 17px;
    }

    .right {
        width: 60vw;
        height: 100vh;
        max-height: 100vh;
    }

    .right.m1 {
        margin: 0px !important;
    }

    .right.p1 {
        padding: 0px !important;
    }

    .musicplayer {
        padding: 1vw 1vw 3vw 1vw;
        flex-wrap: wrap;
    }
    
    .playback{
       margin-top:25px; 
    }

    .songbtn {
        width: auto;
    }

    .songinfo,
    .songbtn,
    .songduration {
        margin-top: 15px;
    }
    
    

}